Bug 1677259 - Review Request: pspg - A unix pager optimized for psql
Summary: Review Request: pspg - A unix pager optimized for psql
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-14 11:58 UTC by Pavel Raiskup
Modified: 2019-03-02 02:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-01 02:38:09 UTC
Type: ---
hhorak: fedora-review+


Attachments (Terms of Use)

Description Pavel Raiskup 2019-02-14 11:58:13 UTC
Spec URL: https://raw.githubusercontent.com/praiskup/pspg-rpm/master/pspg.spec
SRPM URL: http://praiskup.fedorapeople.org/pspg-1.6.3-2.src.rpm
Description: 
pspg is a unix pager optimized for psql. It can freeze rows, freeze
columns, and lot of color themes are included.

Fedora Account System Username:

Comment 1 Pavel Raiskup 2019-02-14 11:58:45 UTC
Fedora Account System Username: praiskup

Comment 2 Honza Horak 2019-02-14 12:37:45 UTC
There are few issues/comments that I'd personally do differently, but nothing identified as as blocker. Giving fedora-review+.

Issues:
=======
- Summary should begin with capital:
  s/Summary:  a unix/Summary:  A unix/

- Superfluous requirements?
  Requires:  ncurses readline
  I think those should be handled by automatic requires for library. At least for readline, not sure whether ncurses dependency is not required for some binary.

- %license macro can be used instead of %doc

- /me not sure if supporting %rhel<=6 is worth it

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

- Superfluous requirements?
  Requires:  ncurses readline
  I think those should be handled by automatic requires for library. At least for readline, not sure whether ncurses dependency is not required for some binary.

[!]: Spec file is legible and written in American English.

- Summary should begin with capital:
  s/Summary:  a unix/Summary:  A unix/

[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pspg-
     debuginfo , pspg-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pspg-1.6.3-2.fc29.x86_64.rpm
          pspg-debuginfo-1.6.3-2.fc29.x86_64.rpm
          pspg-debugsource-1.6.3-2.fc29.x86_64.rpm
          pspg-1.6.3-2.fc29.src.rpm
pspg.x86_64: W: spelling-error Summary(en_US) unix -> UNIX, Unix, uni
pspg.x86_64: W: spelling-error Summary(en_US) psql -> SQL
pspg.x86_64: W: summary-not-capitalized C a unix pager optimized for psql
pspg.x86_64: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
pspg.x86_64: W: spelling-error %description -l en_US psql -> SQL
pspg.x86_64: W: no-manual-page-for-binary pspg
pspg.src: W: spelling-error Summary(en_US) unix -> UNIX, Unix, uni
pspg.src: W: spelling-error Summary(en_US) psql -> SQL
pspg.src: W: summary-not-capitalized C a unix pager optimized for psql
pspg.src: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
pspg.src: W: spelling-error %description -l en_US psql -> SQL
pspg.src: W: strange-permission pspg.spec 600
4 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 4 Gwyn Ciesla 2019-02-14 15:06:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pspg

Comment 5 Fedora Update System 2019-02-14 15:58:10 UTC
pspg-1.6.3-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2d7597445f

Comment 6 Fedora Update System 2019-02-14 15:58:38 UTC
pspg-1.6.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-195b64fc72

Comment 7 Fedora Update System 2019-02-14 15:59:08 UTC
pspg-1.6.3-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5f5534c70

Comment 8 Fedora Update System 2019-02-14 15:59:26 UTC
pspg-1.6.3-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e115d1366a

Comment 10 Fedora Update System 2019-02-15 01:31:21 UTC
pspg-1.6.3-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5f5534c70

Comment 11 Fedora Update System 2019-02-15 02:57:22 UTC
pspg-1.6.3-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e115d1366a

Comment 12 Fedora Update System 2019-02-15 03:07:55 UTC
pspg-1.6.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-195b64fc72

Comment 13 Fedora Update System 2019-02-15 03:08:07 UTC
pspg-1.6.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2d7597445f

Comment 14 Fedora Update System 2019-03-01 02:38:09 UTC
pspg-1.6.3-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-01 23:10:03 UTC
pspg-1.6.3-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-03-02 01:50:49 UTC
pspg-1.6.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-03-02 02:06:32 UTC
pspg-1.6.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.